package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag775;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT775Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag77UCreator extends AbsTagCreate {

     private MT775Creator mt775Creator;

    public Tag77UCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt775Creator= (MT775Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag77UValue = mt775Creator.getOtherAmendmentstoUndertaking();
        mt775Creator.set("77U", tag77UValue);
    }
}
